/*------------------------------------------------
 Header for functions to scrub HTML files.
 -----------------------------------------------*/

#if ! defined HSCRUB_H
#define HSCRUB_H

/* typedef for function to process a chunk of HTML */
/* (text, tag, or comment), given a buffer to the  */
/* chunk and a line number: */

typedef int (* Scrubber)( const char *, FILE *, size_t );

#if defined __cplusplus
extern "C" {
#endif

int scrub_html( FILE * pIn, FILE * pOutput );
Scrubber install_text_scrubber( Scrubber scrubber );
Scrubber install_tag_scrubber( Scrubber scrubber );
Scrubber install_comment_scrubber( Scrubber scrubber );
void install_config( Config cfg );

int scrub_tag( const char * s, FILE * pOut, size_t line );
int scrub_text( const char * s, FILE * f, size_t line );
int scrub_comment( const char * s, FILE * f, size_t line );

#if defined __cplusplus
}
#endif

#endif
